
Foreman - Bug #3680

Foreman does not create VM on VSphere

11/18/2013 03:44 PM - Dennis Benndorf

Status: Duplicate   

Priority: High   

Assignee:    
Triaged:  Found in Releases:  
Pull request:    

Description

Foreman does not create a new VM using VMware-Compute-Ressource with the message:

Kann nicht speichern

Konnte die Recheninstanz esx-252.*BLA*.de auf VMware (VMWare) nicht starten: NotSupported: Der Vor

gang wird für dieses Objekt nicht unterstützt.

 In production.log there is this message:

Started POST "/hosts" for *IP* at Mon Nov 18 16:28:22 +0100 2013

Processing by HostsController#create as */*

  Parameters: {"capabilities"=>"build", "host"=>{"compute_resource_id"=>"1", "puppetclass_ids"=>["

"], "type"=>"Host::Managed", "mac"=>"", "disk"=>"", "name"=>"esx-252", "domain_id"=>"1", "ptable_i

d"=>"3", "environment_id"=>"1", "puppet_ca_proxy_id"=>"1", "managed"=>"true", "overwrite"=>"false"

, "hostgroup_id"=>"", "build"=>"1", "model_id"=>"", "interfaces_attributes"=>{"new_interfaces"=>{"

type"=>"Nic::Managed", "mac"=>"", "name"=>"", "domain_id"=>"", "_destroy"=>"false", "provider"=>"I

PMI", "ip"=>""}}, "operatingsystem_id"=>"1", "compute_attributes"=>{"memory_mb"=>"2048", "path"=>"

/Datencenter/*BLA*/vm/Ubuntu", "start"=>"1", "cpus"=>"2", "cluster"=>"Cluster", "interfaces_attrib

utes"=>{"new_interfaces"=>{"network"=>"Hosting", "_delete"=>""}, "0"=>{"network"=>"Server-Netz", "

_delete"=>""}}, "volumes_attributes"=>{"new_volumes"=>{"name"=>"Hard disk", "size_gb"=>"10", "thin

"=>"true", "datastore"=>"DC_VOL11gu", "_delete"=>""}, "0"=>{"name"=>"Disk1", "size_gb"=>"30", "thi

n"=>"true", "datastore"=>"DC_ESX_70", "_delete"=>""}}}, "progress_report_id"=>"[FILTERED]", "ip"=>

"*IP*", "comment"=>"", "puppet_proxy_id"=>"1", "subnet_id"=>"1", "medium_id"=>"3", "enabled"=>"1",

 "architecture_id"=>"1", "provision_method"=>"build", "root_pass"=>"[FILTERED]"}, "authenticity_to

ken"=>"oCL9dHXsrjZ+WqBhr4RNFMbcK8RhTwCmpg+46KfKUls=", "utf8"=>"✓"}

Adding Compute instance for esx-252.*BLA*.de

Create DHCP reservation for esx-252.*BLA*.de-00:50:56:81:1d:f0/*IP*

Add the TFTP configuration for esx-252.*BLA*.de

Fetching required TFTP boot files for esx-252.*BLA*.de

Powering up Compute instance for esx-252.*BLA*.de

Konnte die Recheninstanz esx-252.*BLA*.de auf VMware (VMWare) nicht starten: NotSupported: Der Vor

gang wird für dieses Objekt nicht unterstützt./usr/share/foreman/vendor/ruby/1.8/gems/rbvmomi-1.6.

0/lib/rbvmomi/vim/Task.rb:11:in `wait_for_completion'

/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.18.0/lib/fog/vsphere/requests/compute/vm_power_on.rb

:13:in `vm_power_on'

/usr/share/foreman/vendor/ruby/1.8/gems/fog-1.18.0/lib/fog/vsphere/models/compute/server.rb:85:in 

`start'

/usr/share/foreman/app/models/compute_resource.rb:116:in `start_vm'

/usr/share/foreman/app/models/concerns/orchestration/compute.rb:108:in `setComputePowerUp'

/usr/share/foreman/app/models/concerns/orchestration.rb:148:in `send'

/usr/share/foreman/app/models/concerns/orchestration.rb:148:in `execute'

/usr/share/foreman/app/models/concerns/orchestration.rb:88:in `process'

/usr/share/foreman/app/models/concerns/orchestration.rb:80:in `each'

/usr/share/foreman/app/models/concerns/orchestration.rb:80:in `process'

/usr/share/foreman/app/models/concerns/orchestration.rb:18:in `on_save'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:627:i
n `_run__492108697__save__4__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:385:i

n `_run_save_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/callbacks.rb:264:in 

`create_or_update'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/persistence.rb:84:in

 `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/validations.rb:50:in

 `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/attribute_methods/di

rty.rb:22:in `save'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:259:

in `save_without_type'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:313:

in `with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/connection_adapters/

abstract/database_statements.rb:192:in `transaction'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:208:

in `transaction'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:311:

in `with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:259:

in `save_without_type'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:270:

in `rollback_active_record_state!'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/transactions.rb:258:

in `save_without_type'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save'

/usr/share/foreman/app/controllers/hosts_controller.rb:85:in `create'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/implicit_ren

der.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/implicit_ren

der.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/abstract_controller/base.rb:167:in `

process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/rendering.rb

:10:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/abstract_controller/callbacks.rb:18:

in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:505:i

n `_run__200642589__process_action__738620396__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:215:i

n `_conditional_callback_around_4517'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:326:i

n `around'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:310:i

n `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:310:i

n `_callback_around_3771'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_4517'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:504:i

n `_run__200642589__process_action__738620396__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:215:i

n `_conditional_callback_around_4516'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_4516'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:415:i
n `_run__200642589__process_action__738620396__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:215:i

n `_conditional_callback_around_4515'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:326:i

n `around'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:310:i

n `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:310:i

n `_callback_around_13'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:214:i

n `_conditional_callback_around_4515'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:414:i

n `_run__200642589__process_action__738620396__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:385:i

n `_run_process_action_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/abstract_controller/callbacks.rb:17:

in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/rescue.rb:29

:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/instrumentat

ion.rb:30:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/notifications.rb:1

23:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/notifications/inst

rumenter.rb:20:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/notifications.rb:1

23:in `instrument'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/instrumentat

ion.rb:29:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/params_wrapp

er.rb:207:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/railties/controller_

runtime.rb:18:in `process_action'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/abstract_controller/base.rb:121:in `

process'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/abstract_controller/rendering.rb:45:

in `process'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal.rb:203:in `d

ispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal/rack_delegat

ion.rb:14:in `dispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_controller/metal.rb:246:in `a

ction'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb

:73:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb

:73:in `dispatch'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb

:36:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:68:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/usr/share/foreman/vendor/ruby/1.8/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/routing/route_set.rb

:608:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/apipie-rails-0.0.24/lib/apipie/static_dispatcher.rb:65:in 

`call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/best_stan

dards_support.rb:17:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'
/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/conditionalget.rb:35:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/head.rb:1

4:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/params_pa

rser.rb:21:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/flash.rb:

242:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `context

'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/cookies.r

b:341:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/query_cache.rb:64:in

 `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activerecord-3.2.15/lib/active_record/connection_adapters/

abstract/connection_pool.rb:479:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/callbacks

.rb:28:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `_run__2011898982__call__4__callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:405:i

n `__run_callback'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:385:i

n `_run_call_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `send'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/callbacks.rb:81:in

 `run_callbacks'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/callbacks

.rb:27:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/remote_ip

.rb:31:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/debug_exc

eptions.rb:16:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/show_exce

ptions.rb:56:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/rack/logger.rb:32:in `call_app'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/rack/logger.rb:16:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/tagged_logging.rb:

22:in `tagged'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/rack/logger.rb:16:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/request_i

d.rb:22:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/activesupport-3.2.15/lib/active_support/cache/strategy/loc

al_cache.rb:72:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/actionpack-3.2.15/lib/action_dispatch/middleware/static.rb

:63:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidat

e'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/engine.rb:484:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/application.rb:231:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/railtie/configurable.rb:30:in `s

end'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/railtie/configurable.rb:30:in `m

ethod_missing'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'
/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/content_length.rb:14:in `call'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/handler/webrick.rb:59:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/handler/webrick.rb:13:in `run'

/usr/share/foreman/vendor/ruby/1.8/gems/rack-1.4.5/lib/rack/server.rb:268:in `start'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/commands/server.rb:70:in `start'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/commands.rb:55

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/commands.rb:50:in `tap'

/usr/share/foreman/vendor/ruby/1.8/gems/railties-3.2.15/lib/rails/commands.rb:50

script/rails:6:in `require'

script/rails:6

Rolling back due to a problem: Die Recheninstanz esx-252.*BLA*.de starten     1000     failed     

esx-252.*BLA*.desetComputePowerUp

Delete the TFTP configuration for esx-252.*BLA*.de

Delete DHCP reservation for esx-252.*BLA*.de-00:50:56:81:1d:f0/*IP*

Removing Compute instance for esx-252.*BLA*.de

Failed to save: Konnte die Recheninstanz esx-252.*BLA*.de auf VMware (VMWare) nicht starten: NotSu

pported: Der Vorgang wird für dieses Objekt nicht unterstützt.

  Rendered hosts/_progress.html.erb (0.2ms)

  Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

  Rendered puppetclasses/_classes.html.erb (3.8ms)

  Rendered puppetclasses/_class_selection.html.erb (155.8ms)

  Rendered hosts/_compute.html.erb (6.2ms)

  Rendered common/_domain.html.erb (8.3ms)

  Rendered hosts/_interfaces.html.erb (154.3ms)

  Rendered common/os_selection/_architecture.html.erb (5.3ms)

  Rendered common/os_selection/_operatingsystem.html.erb (8.7ms)

  Rendered hosts/_operating_system.html.erb (22.9ms)

  Rendered hosts/_unattended.html.erb (202.0ms)

  Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

  Rendered puppetclasses/_classes_parameters.html.erb (6.2ms)

  Rendered common_parameters/_inherited_parameters.html.erb (0.3ms)

  Rendered common_parameters/_puppetclass_parameter.html.erb (3.0ms)

  Rendered common_parameters/_puppetclasses_parameters.html.erb (4.8ms)

  Rendered common_parameters/_parameter.html.erb (1.7ms)

  Rendered common_parameters/_parameters.html.erb (4.3ms)

  Rendered hosts/_form.html.erb (568.7ms)

  Rendered hosts/new.html.erb within layouts/application (569.3ms)

Read fragment views/tabs_and_title_records-1 0.3ms

  Rendered home/_topbar.html.erb (2.6ms)

Completed 200 OK in 9999.7ms (Views: 552.3ms | ActiveRecord: 52.1ms)

 But if I commit the creation of this VM another time, Foreman will create a host inside itself, but not the VM on VSphere. This

message will be shown in the VM tab in the host-object:

'esx-252.xxx.xx' wurde nicht unter 'VMware (VMWare)' gefunden

'esx-252.xxx.xx' konnte nicht gelöscht werden oder 'VMware (VMWare)' reagiert nicht.

 
Started POST "/hosts" for *IP* at Mon Nov 18 16:36:35 +0100 2013

Processing by HostsController#create as */*

  Parameters: {"capabilities"=>"build", "host"=>{"compute_resource_id"=>"1", "puppetclass_ids"=>["

"], "type"=>"Host::Managed", "mac"=>"00:50:56:81:1d:f0", "disk"=>"", "name"=>"esx-252",

 "domain_id"=>"1", "ptable_id"=>"3", "environment_id"=>"1", "puppet_ca_proxy_id"=>"1", "managed"=>

"true", "overwrite"=>"false", "hostgroup_id"=>"", "build"=>"1", "interfaces_attributes" 

=>{"new_interfaces"=>{"type"=>"Nic::Managed", "mac"=>"", "name"=>"", "domain_id"=>"", "_destroy"=>

"false", "provider"=>"IPMI", "ip"=>""}}, "operatingsystem_id"=>"1", "progress_report_id
"=>"[FILTERED]", "ip"=>"*IP*", "comment"=>"", "puppet_proxy_id"=>"1", "subnet_id"=>"1", "medium_id

"=>"3", "enabled"=>"1", "architecture_id"=>"1", "provision_method"=>"build",

 "root_pass"=>"[FILTERED]"}, "authenticity_token"=>"oCL9dHXsrjZ+WqBhr4RNFMbcK8RhTwCmpg+46KfKUls=",

 "utf8"=>"✓"}

Create DHCP reservation for esx-252.*BLA*.de-00:50:56:81:1d:f0/*IP*

Add the TFTP configuration for esx-252.*BLA*.de

Fetching required TFTP boot files for esx-252.*BLA*.de

Redirected to http://puppet.gbv.de:3000/hosts/esx-252.*BLA*.de

Completed 302 Found in 644.5ms (ActiveRecord: 40.8ms)

Related issues:

Is duplicate of Foreman - Bug #3653: Recent versions of fog require guest_id ... Closed 11/14/2013

History

#1 - 11/19/2013 10:09 AM - Dennis Benndorf

Today I saw an error message while creating this vm in the desktop-client of vsphere. Note that this one was translated by me freely:

An error on an ESX-Host occured while starting the virtual Maschine esx-252.*BLA*.de.

In the configuration file is no Operatingsystem mentioned. Select a guest operating system from the General pa

ge on the Options tab of Virtual Machine Settings.

#2 - 11/19/2013 10:31 AM - Dominic Cleal

- Is duplicate of Bug #3653: Recent versions of fog require guest_id to be set. added

#3 - 11/19/2013 10:31 AM - Dominic Cleal

- Status changed from New to Duplicate
